-- Quickly pick various items such as grass and saplings.
AddStategraphPostInit("wilson", function(sg)
    local actionhandler = GLOBAL.ActionHandler(GLOBAL.ACTIONS.PICK,
            function(inst, action)
                if action.target.components.pickable then
                    return "doshortaction"
                end
            end)
    sg.actionhandlers[GLOBAL.ACTIONS.PICK] = actionhandler
end)


local _actions = {
    GLOBAL.ACTIONS.HARVEST,
    GLOBAL.ACTIONS.COOK,
    GLOBAL.ACTIONS.BUILD,
    GLOBAL.ACTIONS.RESETMINE,
}

-- Quickly do various actions such as harvesting crop and cooking food on fire.
for _, action in pairs(_actions) do
    AddStategraphPostInit("wilson", function(sg)
        local actionhandler = GLOBAL.ActionHandler(action, "doshortaction")
        sg.actionhandlers[action] = actionhandler
    end)
end
